> ## Documentation Index
> Fetch the complete documentation index at: https://product-discovery.developer.voyado.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Configuration

> An export of all currently configured markets.

An export of all currently configured markets.

```http theme={null}
GET https://{cluster-id}.elevate-api.cloud/api/admin/v4/export/configuration
```

## Request

<AccordionGroup>
  <Accordion title="Request header parameters">
    | Name                | Description                                   | Example       |
    | ------------------- | --------------------------------------------- | ------------- |
    | `Api-Key`\*         | API key supplied during onboarding.           | `123456789..` |
    | `Accept-Encoding`\* | Allows responses to be compressed using Gzip. | `gzip`        |
  </Accordion>

  <Accordion title="Example request">
    ```bash title="bash" theme={null}
    curl -i \
    -X GET \
    -H 'Api-Key: 123456789..' \
    -H 'Accept-Encoding: null' \
    "https://{cluster-id}.elevate-api.cloud/api/admin/v4/export/configuration"
    ```
  </Accordion>
</AccordionGroup>

## Response

<AccordionGroup>
  <Accordion title="Response codes">
    | Status | Description                                                                                                                                                                                             |
    | ------ | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
    | `200`  | Query accepted. The data will be returned as an application/json-object.                                                                                                                                |
    | `403`  | Incorrect cluster credentials.                                                                                                                                                                          |
    | `404`  | Cluster not found.                                                                                                                                                                                      |
    | `406`  | No acceptable encoding found in Accept-Encoding header.                                                                                                                                                 |
    | `500`  | Server error such as cluster unavailable, busy or internal error. If 5xx errors persist, contact <a href="mailto:support@voyado.com">support</a> and attach any information found in the response body. |
    | `503`  | The server in the cluster that received the request is currently unavailable or busy. It is recommended to retry the request. The time between request attempts should be increasing.                   |
  </Accordion>

  <Accordion title="Example response">
    ```json theme={null}
    {
      "edit" : {
        "markets" : { }
      },
      "remove" : {
        "markets" : [ null ]
      },
      "replace" : {
        "markets" : { }
      }
    }
    ```
  </Accordion>

  <Accordion title="Response body schema">
    #### Configuration

    A config import must include exactly one of 'remove', 'replace', or 'edit'

    | Name    | Type                            | Description                                                                                               |
    | ------- | ------------------------------- | --------------------------------------------------------------------------------------------------------- |
    | edit    | [ConfigEdit](#configedit)       | The edit operation adds or changes the included markets                                                   |
    | remove  | [ConfigRemove](#configremove)   | The remove operation removes specific markets                                                             |
    | replace | [ConfigReplace](#configreplace) | The replace operation fully replaces the configuration, removing all markets not included in the requests |
  </Accordion>
</AccordionGroup>

## Inner Schemas

### AppSettings

| Name          | Type   | Description                                                                                                                                                                                                                                                                                            |
| ------------- | ------ | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| currency      | string | A currency symbol or string for the market, used in the Elevate app interface. Will default to \* if not provided. Min length: `1`. Max length: `2147483647`.<br /><br />Examples: `"GBP"`                                                                                                             |
| name          | string | A human readable name for the market, used in the Elevate app interface. Will default to the market id if not provided. Min length: `1`. Max length: `2147483647`.<br /><br />Examples: `"UK"`                                                                                                         |
| navigationUrl | string | If specified, previewing navigation changes in the Elevate app will take you to this url. Usually the root or a top-level node in the navigation tree.If not set, users will be asked to provide a link each time they use the preview feature.<br /><br />Examples: `"example.com/categories/ladies"` |
| pageBaseUrl   | string | If specified, previewing page changes in the Elevate app will take you to a url consisting of the pageBaseUrl + the page's id or path.If not set, users will be asked to provide a link each time they use the preview feature.<br /><br />Examples: `"example.com/categories"`                        |
| searchPageUrl | string | If specified, previewing overrides for search & autocomplete in the Elevate app will take you to this url. Usually a page with access to the search box.If not set, users will be asked to provide a link each time they use the preview feature.<br /><br />Examples: `"example.com/search"`          |

### MarketDefinition

A complete or partial market definition

| Name        | Type                        | Description                                                                                                                                      |
| ----------- | --------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------ |
| appSettings | [AppSettings](#appsettings) | How the market should be presented in the Elevate app interface. It is highly recommended to provide a display name and currency for the market. |
| locales     | string\[]                   | A list of which locales this market should support. New markets must include at least one locale!                                                |

### ConfigEdit

| Name      | Type                                             | Description                                         |
| --------- | ------------------------------------------------ | --------------------------------------------------- |
| markets\* | \<string, [MarketDefinition](#marketdefinition)> | A mapping from market key to a market configuration |

### ConfigRemove

| Name      | Type      | Description                                                                                                                                  |
| --------- | --------- | -------------------------------------------------------------------------------------------------------------------------------------------- |
| markets\* | string\[] | Which markets to delete. Deleting a market will delete everything on that market, including products and settings (promotions, pages, etc.)! |

### ConfigReplace

| Name      | Type                                             | Description                                         |
| --------- | ------------------------------------------------ | --------------------------------------------------- |
| markets\* | \<string, [MarketDefinition](#marketdefinition)> | A mapping from market key to a market configuration |
